Bug 175540 - Upgrade audio/audacity 2.0.2 to 2.0.3
Upgrade audio/audacity 2.0.2 to 2.0.3
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Ruslan Makhmatkhanov
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-24 08:30 UTC by xxjack12xx
Modified: 2013-01-27 19:20 UTC (History)
0 users

See Also:


Attachments
file.diff (4.73 KB, patch)
2013-01-24 08:30 UTC, xxjack12xx
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description xxjack12xx 2013-01-24 08:30:00 UTC
Upgrade audacity 2.0.2 to audacity 2.0.3

Fix: Apply patch

Patch attached with submission follows:
How-To-Repeat: Apply patch
Comment 1 Ruslan Makhmatkhanov freebsd_committer 2013-01-27 19:09:31 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rm

I will take it.
Comment 2 dfilter freebsd_committer 2013-01-27 19:10:42 UTC
Author: rm
Date: Sun Jan 27 19:10:34 2013
New Revision: 311076
URL: http://svnweb.freebsd.org/changeset/ports/311076

Log:
  - update to 2.0.3
  - switch to .xz distribution
  - sort options
  
  while here:
  - remove redundancy from COMMENT
  - remove DOCS from OPTIONS_DEFAULT (it is already default)
  - do not install license twice
  - remove conflicts with no more existing -devel port
  - install PORTDOCS manually, because earlier they installed into ${PREFIX}/doc/,
    not into ${PREFIX}/doc/${PORTNAME}
  - remove trailing whitespace and deprecated Author field from pkg-descr
  
  PR:		175540
  Submitted by:	Jack Low <xxjack12xx@gmail.com> (maintainer)

Modified:
  head/audio/audacity/Makefile
  head/audio/audacity/distinfo
  head/audio/audacity/files/patch-Makefile.in
  head/audio/audacity/pkg-descr
  head/audio/audacity/pkg-plist

Modified: head/audio/audacity/Makefile
==============================================================================
--- head/audio/audacity/Makefile	Sun Jan 27 17:59:00 2013	(r311075)
+++ head/audio/audacity/Makefile	Sun Jan 27 19:10:34 2013	(r311076)
@@ -2,29 +2,26 @@
 # $FreeBSD$
 
 PORTNAME=	audacity
-PORTVERSION=	2.0.2
+PORTVERSION=	2.0.3
 CATEGORIES=	audio
 MASTER_SITES=	GOOGLE_CODE \
 		SF/${PORTNAME}/${PORTNAME}-unstable/${PORTVERSION}
 DISTNAME=	${PORTNAME}-minsrc-${PORTVERSION}
 
 MAINTAINER=	xxjack12xx@gmail.com
-COMMENT=	Audacity is a GUI editor for digital audio waveforms
+COMMENT=	GUI editor for digital audio waveforms
 
 LICENSE=	GPLv2
-LICENSE_FILE=	${WRKSRC}/LICENSE.txt
 
 LIB_DEPENDS=	sndfile:${PORTSDIR}/audio/libsndfile
 
-CONFLICTS=	audacity-devel-[0-9]*
-
 WRKSRC=		${WRKDIR}/${PORTNAME}-src-${PORTVERSION}
 
 USE_AUTOTOOLS=	aclocal autoconf
 GNU_CONFIGURE=	yes
 USE_GMAKE=	yes
 USE_GETTEXT=	yes
-USE_BZIP2=	yes
+USE_XZ=		yes
 USE_WX=		2.8
 WX_UNICODE=	yes
 WX_COMPS=	wx
@@ -32,17 +29,18 @@ INSTALLS_ICONS=	yes
 MAKE_JOBS_SAFE=	yes
 MAN1=		audacity.1
 MANCOMPRESSED=	yes
+PORTDOCS=	README.txt
 
 OPTIONS_DEFINE=	DOCS FFMPEG FLAC ID3TAG JACK LADSPA MAD NYQUIST PORTMIXER \
-		SAMPLERATE SBSMS SOUNDTOUCH TAGLIB TWOLAME VAMP VORBIS
-OPTIONS_DEFAULT=	DOCS FFMPEG FLAC ID3TAG JACK LADSPA MAD NYQUIST \
-			PORTMIXER SAMPLERATE SBSMS SOUNDTOUCH TAGLIB \
+		SAMPLERATE SBSMS SSE TAGLIB TWOLAME VAMP VORBIS
+OPTIONS_DEFAULT=	FFMPEG FLAC ID3TAG JACK LADSPA MAD NYQUIST \
+			PORTMIXER SAMPLERATE SBSMS SSE TAGLIB \
 			TWOLAME VAMP VORBIS
 
 NYQUIST_DESC=	Nyquist plug-in support
 PORTMIXER_DESC=	Compile with PortMixer support
-SBSMS_DESC=	Support libsbsms for pitch and tempo changing
-SOUNDTOUCH_DESC=	Use libSoundTouch for pitch and tempo changing
+SBSMS_DESC=	Use libsbsms for pitch and tempo changing
+SSE=		Enable SSE optimizations
 TAGLIB_DESC=	Use TagLib for metadata support
 TWOLAME_DESC=	Use libtwolame for MP2 export support
 VAMP_DESC=	Vamp plug-in support
@@ -64,10 +62,6 @@ CFLAGS+=	-I${WRKSRC}/lib-src/portsmf -I$
 
 CONFIGURE_ENV+=	WX_CONFIG="${WX_CONFIG}"
 
-.if ${PORT_OPTIONS:MDOCS}
-MAKE_ENV=	DOC=yes
-.endif
-
 CONFIGURE_ARGS+=	--with-lib-preference="local system"
 CONFIGURE_ARGS+=	--with-portaudio
 CONFIGURE_ARGS+=	--enable-unicode
@@ -139,11 +133,8 @@ CONFIGURE_ARGS+=	--with-sbsms
 CONFIGURE_ARGS+=	--without-sbsms
 .endif
 
-.if ${PORT_OPTIONS:MSOUNDTOUCH}
-LIB_DEPENDS+=		SoundTouch:${PORTSDIR}/audio/soundtouch
-CONFIGURE_ARGS+=	--with-soundtouch
-.else
-CONFIGURE_ARGS+=	--without-soundtouch
+.if ${PORT_OPTIONS:MSSE}
+CONFIGURE_ARGS+=	--with-sse
 .endif
 
 .if ${PORT_OPTIONS:MTWOLAME}
@@ -188,4 +179,10 @@ post-patch:
 
 	@${REINPLACE_CMD} -e 's|inline void|static inline void|' ${WRKSRC}/lib-src/libnyquist/nyquist/ffts/src/fftlib.c
 
+post-install:
+.if ${PORT_OPTIONS:MDOCS}
+	@${MKDIR} ${DOCSDIR}
+	cd ${WRKSRC} && ${INSTALL_DATA} ${PORTDOCS} ${DOCSDIR}
+.endif
+
 .include <bsd.port.mk>

Modified: head/audio/audacity/distinfo
==============================================================================
--- head/audio/audacity/distinfo	Sun Jan 27 17:59:00 2013	(r311075)
+++ head/audio/audacity/distinfo	Sun Jan 27 19:10:34 2013	(r311076)
@@ -1,2 +1,2 @@
-SHA256 (audacity-minsrc-2.0.2.tar.bz2) = ac8a5ec62a5748de7f885fb3f82a6b6acdb26b28276827a678ec17ce65b9879d
-SIZE (audacity-minsrc-2.0.2.tar.bz2) = 6794285
+SHA256 (audacity-minsrc-2.0.3.tar.xz) = 2e481eab900a31817d273e7e3e8b8c127b0d3cc55d8efa46dd005177615f8bcc
+SIZE (audacity-minsrc-2.0.3.tar.xz) = 5116320

Modified: head/audio/audacity/files/patch-Makefile.in
==============================================================================
--- head/audio/audacity/files/patch-Makefile.in	Sun Jan 27 17:59:00 2013	(r311075)
+++ head/audio/audacity/files/patch-Makefile.in	Sun Jan 27 19:10:34 2013	(r311076)
@@ -1,15 +1,14 @@
---- Makefile.in	2008-06-25 09:55:22.000000000 -0300
-+++ Makefile.in.new	2008-06-25 09:58:26.000000000 -0300
-@@ -31,11 +31,12 @@
+--- ./Makefile.in.orig	2013-01-18 19:50:47.000000000 +0400
++++ ./Makefile.in	2013-01-27 22:38:11.000000000 +0400
+@@ -31,11 +31,6 @@
+ 	$(INSTALL) -d $(DESTDIR)$(BINDIR)
  	$(INSTALL) -m 755 audacity $(DESTDIR)$(BINDIR)/$(AUDACITY_NAME)
  
- 	# install docs
-+ifeq ($(DOC),yes)
- 	$(INSTALL) -d $(DESTDIR)$(DATADIR)/doc/$(AUDACITY_NAME)
- 	$(INSTALL) -m 644 README.txt $(DESTDIR)$(DATADIR)/doc/$(AUDACITY_NAME)/README.txt
- 	$(INSTALL) -m 644 LICENSE.txt $(DESTDIR)$(DATADIR)/doc/$(AUDACITY_NAME)/LICENSE.txt
+-	# install docs
+-	$(INSTALL) -d $(DESTDIR)$(DOCDIR)/
+-	$(INSTALL) -m 644 README.txt $(DESTDIR)$(DOCDIR)/README.txt
+-	$(INSTALL) -m 644 LICENSE.txt $(DESTDIR)$(DOCDIR)/LICENSE.txt
 -
-+endif
  	# install manpage
  	$(INSTALL) -d $(DESTDIR)$(MANDIR)/man1
  	-test -f help/audacity.1.gz && \

Modified: head/audio/audacity/pkg-descr
==============================================================================
--- head/audio/audacity/pkg-descr	Sun Jan 27 17:59:00 2013	(r311075)
+++ head/audio/audacity/pkg-descr	Sun Jan 27 19:10:34 2013	(r311076)
@@ -6,7 +6,6 @@ common editing operations such as Cut, C
 mix tracks and let you apply plug-in effects to any part of a sound. It
 also has a built-in amplitude envelope editor, a customizable
 spectrogram mode and a frequency analysis window for audio
-analysis applications. 
+analysis applications.
 
-Author: Dominic Mazzoni dominic@minorninth.com
 WWW: http://audacity.sourceforge.net

Modified: head/audio/audacity/pkg-plist
==============================================================================
--- head/audio/audacity/pkg-plist	Sun Jan 27 17:59:00 2013	(r311075)
+++ head/audio/audacity/pkg-plist	Sun Jan 27 19:10:34 2013	(r311076)
@@ -43,6 +43,8 @@ share/applications/audacity.desktop
 %%DATADIR%%/nyquist/xm.lsp
 %%DATADIR%%/plug-ins/SilenceMarker.ny
 %%DATADIR%%/plug-ins/SoundFinder.ny
+%%DATADIR%%/plug-ins/StudioFadeOut.ny
+%%DATADIR%%/plug-ins/adjustable-fade.ny
 %%DATADIR%%/plug-ins/beat.ny
 %%DATADIR%%/plug-ins/clicktrack.ny
 %%DATADIR%%/plug-ins/clipfix.ny
@@ -59,9 +61,6 @@ share/applications/audacity.desktop
 %%DATADIR%%/plug-ins/tremolo.ny
 %%DATADIR%%/plug-ins/vocalremover.ny
 %%DATADIR%%/plug-ins/vocoder.ny
-%%PORTDOCS%%%%DOCSDIR%%/LICENSE.txt
-%%PORTDOCS%%%%DOCSDIR%%/README.txt
-%%PORTDOCS%%@dirrmtry %%DOCSDIR%%
 share/icons/hicolor/16x16/apps/audacity.png
 share/icons/hicolor/22x22/apps/audacity.png
 share/icons/hicolor/24x24/apps/audacity.png
@@ -90,6 +89,7 @@ share/locale/ga/LC_MESSAGES/audacity.mo
 share/locale/gl/LC_MESSAGES/audacity.mo
 share/locale/he/LC_MESSAGES/audacity.mo
 share/locale/hi/LC_MESSAGES/audacity.mo
+share/locale/hr/LC_MESSAGES/audacity.mo
 share/locale/hu/LC_MESSAGES/audacity.mo
 share/locale/id/LC_MESSAGES/audacity.mo
 share/locale/it/LC_MESSAGES/audacity.mo
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Ruslan Makhmatkhanov freebsd_committer 2013-01-27 19:11:16 UTC
State Changed
From-To: open->closed

Committed, thank you!